明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 183|回复: 4

[讨论] 如何LISP实现粘贴为块的功能??求高手解答

[复制链接]
发表于 2017-9-7 09:57 | 显示全部楼层 |阅读模式
如何LISP实现粘贴为块的功能? 就是右键快捷菜单功能  有对应快捷键ctrl +shift +v 找不到对应CAD命令!!求LISP实现此功能??谢谢关注


发表于 2017-9-7 13:59 | 显示全部楼层
(command "pasteblock" "10,0")

评分

参与人数 1明经币 +1 收起 理由
wayne_myles + 1 很给力!好办法

查看全部评分

回复 支持 1 反对 0

使用道具 举报

发表于 2017-9-7 11:46 | 显示全部楼层
本身就是快捷命令,为何非要用Lisp实现?如果非要用Lisp来实现,可以试试如下代码:
  1. (vla-eval (vlax-get-acad-object) (strcat "Sendkeys " "\"^+v\""))

评分

参与人数 1明经币 +1 收起 理由
wayne_myles + 1 很给力!G版一出生就知有没有!我百度好久 G.

查看全部评分

 楼主| 发表于 2017-9-7 13:38 | 显示全部楼层
谢谢 G版主指点   这个问题我ibaidu好久 G版一句话搞定了!!!!服,我太服了!!!
发表于 2017-9-10 14:31 | 显示全部楼层
点击菜单栏里面转帖为块就行了
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2017-9-22 03:33 , Processed in 0.206439 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表